import express from 'express';
import { authenticate } from '../middleware/authMiddleware.js';
import { getDatesForClub, createDateForClub, updateTrainingTimes } from '../controllers/diaryController.js';

const router = express.Router();

router.get('/:clubId', authenticate, getDatesForClub);
router.post('/:clubId', authenticate, createDateForClub);
router.put('/:clubId', authenticate, updateTrainingTimes);

export default router;
